Subject: Natural History Books for Sale

From: "Gary Wayner" <[email-masked]>
Date: 29 Jul 1996 20:49:48 GMT

Anyone out there interested in new & antiquarian books dealing with
scholarly natural history?  I publish quarterly catalogs with about 700
books per catalog.  I also buy books and libraries.  For information on
getting on my mailing list please email me at [email-masked].
Thanks,
Gary Wayner
Natural History Books